//
//  LivenessSuccessView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 30/06/2025.
//

import SwiftUI

struct LivenessSuccessView: View {
    var body: some View {
        VStack(spacing: 24) {
            HStack {
                SQProgressIndicator(.constant(true))
                SQProgressIndicator(.constant(false))
                SQProgressIndicator(.constant(false))
            }
            SQImage("lemonsieur", height: 365)
                .clipShape(Ellipse())
                .overlay(
                    Ellipse()
                        .stroke(Color.gray, lineWidth: 0)
                )

            VStack(alignment: .leading) {
                HStack {
                    SQIcon(.check, color: .sqSemanticPositive)
                    SQText("Votre visage est bien dans le cadre.")
                    Spacer()
                }
                HStack {
                    SQIcon(.check, color: .sqSemanticPositive)
                    SQText("L’image n’est pas floue et n’a pas de reflet.")
                    Spacer()
                }
                HStack {
                    SQIcon(.check, color: .sqSemanticPositive)
                    SQText("Vous ne portez pas d’accessoires couvrant.")
                    Spacer()
                }
            }
            Spacer()
            SQButton("Continuer") {

            }
        }
        .padding()
    }
}

#Preview {
    LivenessSuccessView()
}
